Bug 1015494 - FTBFS: error: format '%llu' expects argument of type 'long long unsigned int', but argument 3 has type '__u64'
FTBFS: error: format '%llu' expects argument of type 'long long unsigned int'...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
rawhide
powerpc Linux
high Severity high
: ---
: ---
Assigned To: Jes Sorensen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 07:54 EDT by Karsten Hopp
Modified: 2013-10-15 02:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: mdadm-3.3-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-15 02:42:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2013-10-04 07:54:39 EDT
Description of problem:
mdadm fails to build on ppc64:
gcc -Wall -Werror -Wstrict-prototypes -Wextra -Wno-unused-parameter -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -DSendmail=\""/usr/sbin/sendmail -t"\" -DCONFFILE=\"/etc/mdadm.conf\" -DCONFFILE2=\"/etc/mdadm/mdadm.conf\" -DMAP_DIR=\"/run/mdadm\" -DMAP_FILE=\"map\" -DMDMON_DIR=\"/run/mdadm\" -DFAILED_SLOTS_DIR=\"/run/mdadm/failed-slots\"   -DUSE_PTHREADS   -c -o super-ddf.o super-ddf.c
super-ddf.c: In function 'examine_vd':
super-ddf.c:1414:10: error: format '%llu' expects argument of type 'long long unsigned int', but argument 3 has type '__u64' [-Werror=format=]
          be64_to_cpu(vc->blocks)/2);
          ^
super-ddf.c:1416:10: error: format '%llu' expects argument of type 'long long unsigned int', but argument 3 has type '__u64' [-Werror=format=]
          be64_to_cpu(vc->array_blocks)/2);
          ^
super-ddf.c: In function 'examine_pds':
super-ddf.c:1466:10: error: format '%llu' expects argument of type 'long long unsigned int', but argument 2 has type '__u64' [-Werror=format=]
          be64_to_cpu(pd->config_size)>>1);
          ^
super-ddf.c: In function 'ddf_process_update':
super-ddf.c:4542:5: error: format '%llu' expects argument of type 'long long unsigned int', but argument 5 has type '__u64' [-Werror=format=]
     dprintf("BVD %u has %08x at %llu\n", 0,
     ^
super-ddf.c:4551:6: error: format '%llu' expects argument of type 'long long unsigned int', but argument 5 has type '__u64' [-Werror=format=]
      dprintf("BVD %u has %08x at %llu\n", i,
      ^
super-ddf.c: In function 'ddf_activate_spare':
super-ddf.c:5011:3: error: format '%llu' expects argument of type 'long long unsigned int', but argument 6 has type '__u64' [-Werror=format=]
   dprintf("BVD %u gets %u: %08x at %llu\n", i_sec, i_prim,
   ^
cc1: all warnings being treated as errors
make: *** [super-ddf.o] Error 1

Version-Release number of selected component (if applicable):
mdadm-3.3-1.fc21

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f21 mdadm-3.3-1.fc21.src.rpm
2.
3.

Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1438210


Expected results:


Additional info:
Comment 1 Fedora Update System 2013-10-10 04:39:45 EDT
mdadm-3.3-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mdadm-3.3-4.fc20
Comment 2 Fedora Update System 2013-10-11 12:52:29 EDT
Package mdadm-3.3-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.3-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18894/mdadm-3.3-4.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-10-15 02:42:16 EDT
mdadm-3.3-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.